Ir para conteúdo



Foto

[GALAXY Y - S5360] Problema ao fazer Root


  • Por favor, faça o login para responder
26 respostas neste tópico

#1 piterog

piterog

    Iniciante

  • Membros
  • Pip
  • 11 posts

Postado 18 Fev 2012 - 21:36

Galera.. o seiken posto um tutorial na qual fazia o Root do Galaxy Y, porem eu comecei o processo e logo apos ja deu um erro
o Tutorial é esse:
http://www.plusgsm.c...ad.php?t=110190

E o erro deu no passo 7 pois quando era pra aguardar aparece o serguinte erro:

ice") == "GT-B7510" || getprop("ro.product.product") == "GT-B7510"
E:Error in /tmp/sideload/package.zip
(Status 7)
Installation aborted.


Alguém sabe o que eu faço ?

Abraços

:edit

Boa noite pessoal!
Seguinte, fiz o tutorial do Seiken para rootear o Galaxy Y
O problema é que deu erro, logo após o passo 7

Aki o link do tutorial
http://www.plusgsm.c...ad.php?t=110190

E aqui o erro que foi gerado

ice") == "GT-B7510" || getprop("ro.product.product") == "GT-B7510"

E:Error in /tmp/sideload/package.zip
(Status 7)
Installation aborted.


Abraços e valeo!



#2 seiken

seiken

    Membro Platinum PluS

  • Membro Prime
  • PipPipPipPipPipPipPip
  • 24.925 posts

Postado 18 Fev 2012 - 22:21

piterog no arquivo META-INF/com/google/android/updater-script tem um assert para ter certeza que o modelo é suportado.

É lido o build.prop do aparelho e comparado com a tabela abaixo, para saber se o modelo é ou não suportado:

assert(getprop("ro.product.device") == "GT-S5360" ||
       getprop("ro.product.product") == "GT-S5360"||
       getprop("ro.product.device") == "GT-S5570B" ||
       getprop("ro.build.product") == "GT-S5570B"  ||
       getprop("ro.product.device") == "GT-S5670L" ||
       getprop("ro.product.product") == "GT-S5670L"||
       getprop("ro.product.device") == "GT-S5670B" ||
       getprop("ro.product.product") == "GT-S5670B"||
       getprop("ro.product.device") == "GT-S5830L" ||
       getprop("ro.build.product") == "GT-S5830L"  ||
       getprop("ro.product.device") == "GT-S5830B" ||
       getprop("ro.build.product") == "GT-S5830B"  ||
       getprop("ro.product.device") == "GT-S5830" ||
       getprop("ro.build.product") == "GT-S5830"  ||
       getprop("ro.product.device") == "GT-S5570" ||
       getprop("ro.build.product") == "GT-S5570"  ||
       getprop("ro.product.device") == "GT-S5670" ||
       getprop("ro.product.product") == "GT-S5670"||
       getprop("ro.product.device") == "GT-B7510" ||
       getprop("ro.product.product") == "GT-B7510"
       );

A firmware que usa deve ter alguma letra depois do GT-S5360 , por exemplo GT-S5360B .

Como não está na lista, então o programa sai pensando que não é compatível .

Provavelmente porque o procedimento foi criado antes do lançamento da firmware que usa , ou o autor não sabia que tem GT-S5360 diferente .

Veja para mim em Configurações > Sobre o telefone > Versão do Android ou discando *#*#44336#*#* a versão do da firmware que eu acrescento na lista.

Ou então você mesmo pode fazer, basta descompactar o update.zip, editar acrescentando a versão do seu e então compactar novamente como update.zip, copiando por cima do update.zip que está no cartão de memória .

Ou então pode apagar todas as linhas do código acima , fazendo o updater-script iniciar com essas linhas:

ui_print("Root for Galaxy Young...");
ui_print("Installing su and Superuser.apk...");

A única diferença é que o script não irá testar se o aparelho é ou não suportado e o update.zip irá tentar rootear qualquer aparelho .
Não respondo dúvidas via email, caixa de entrada ou mensagem privada. Procure o fórum sobre seu aparelho e crie um tópico novo com a dúvida, assim não somente eu mas qualquer membro poderá ajudá-lo.

#3 piterog

piterog

    Iniciante

  • Membros
  • Pip
  • 11 posts

Postado 18 Fev 2012 - 22:55

Feito amigão ;D
Uma pergunta a mais.. todo tipo de launcher ou theme e tal.. é compativel com o Galaxy Y? Ou tem que ver as expecificações ??? Abraços!

#4 seiken

seiken

    Membro Platinum PluS

  • Membro Prime
  • PipPipPipPipPipPipPip
  • 24.925 posts

Postado 18 Fev 2012 - 23:13

piterog se instalar o launcher direto do Market , ou se antes de baixar do Market via PC estiver já estiver logado com a conta GMail principal do aparelho ( a mesma conta de email cadastrada que usou para aceitar o termo de uso do Market ), nesses dois casos o próprio Market vai saber que se trata de um Galaxy Y e só vai oferecer pacotes compatíveis com o aparelho .

Se não estiver logado no Gmail e baixar pelo PC, então tem de verificar toda informação disponível que puder , senão vai ser questão de sorte, pode funcionar , não funcionar ou funcionar dando bugs .
Não respondo dúvidas via email, caixa de entrada ou mensagem privada. Procure o fórum sobre seu aparelho e crie um tópico novo com a dúvida, assim não somente eu mas qualquer membro poderá ajudá-lo.

#5 Tiagorigheto

Tiagorigheto

    Membro Pleno

  • Membros
  • PipPipPipPip
  • 295 posts

Postado 22 Fev 2012 - 12:22

Sobre esse celular alguém sabe me informar onde eu acho uma firmware pra ele ?

o meu é desbloqueado da tim.....quero trocar a firmware, de repente pra android 2.3.7 ? ou 2.3.5 ? sei la

E ah, claro um tutorial tbm...
Xperia P / Defy+

#6 cmedjr

cmedjr

    Iniciante

  • Membros
  • Pip
  • 2 posts

Postado 23 Mar 2012 - 11:37

egua... valeu, ja tinha tentado outros mas não funcionava, mas esse funfo legal!

#7 pititym11

pititym11

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 25 Mar 2012 - 22:27

Seiken tenho um Samsung Galaxy Y GT-5360L, android 2.3.5, fiz todos os procedimentos em relaçao ao seu e tbm a outros tutoriais.
1 esta com o erro "E:Error in /tmp/sideload/package.zip (Status 7)" , blz. fiz o q vc disse tanto alterando o nome do telefone quanto colocando apenas as linha : "
ui_print("Root for Galaxy Young...");
ui_print("Installing su and Superuser.apk...");"
ai nao deu o erro mais traz da seguinte forma.
Finding update package...
Opening update packega...
Installing update...
Installation aborted

gostaria de saber pq ele aborta a instalaçao e se vc pode editar o arquivo se vc achar q for isso.. ou me ajudar..

agradeço muito.. +)

#8 seiken

seiken

    Membro Platinum PluS

  • Membro Prime
  • PipPipPipPipPipPipPip
  • 24.925 posts

Postado 25 Mar 2012 - 23:00

Não tenho certeza, mas deixe habilitado Configurações > Aplicações > Fontes Desconhecidas .
Não respondo dúvidas via email, caixa de entrada ou mensagem privada. Procure o fórum sobre seu aparelho e crie um tópico novo com a dúvida, assim não somente eu mas qualquer membro poderá ajudá-lo.

#9 juniim15

juniim15

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 25 Abr 2012 - 19:51

Recebi a mesma mensagem ao tentar instalar o update.zip, S5360B, não sei o que fazer, me ajudem por favor!

ice") == "GT-B7510" || getprop("ro.product.product") == "GT-B7510"


E:Error in /tmp/sideload/package.zip


(Status 7)


Installation aborted.



:edit

Já consegui, encontrei em outro tópico aqui mesmo, valeu gente!

#10 Prifreitas79

Prifreitas79

    Iniciante

  • Membros
  • Pip
  • 2 posts

Postado 16 Jun 2012 - 20:14

Seiken, também estou com o error 7, já atualizei o scrip com o modelo do meu celular e nada! Poderia me ajudar? Poxa, não tô conseguindo o root, já tentei várias vezes rodar o update.zip e sempre dá o mesmo erro. Meu modelo é o GT-S6102B Android 2.3.6 Kernel 2.6.35.7 se.infra@SEI-44#1
Obrigada!

#11 seiken

seiken

    Membro Platinum PluS

  • Membro Prime
  • PipPipPipPipPipPipPip
  • 24.925 posts

Postado 16 Jun 2012 - 20:36

Seiken, também estou com o error 7, já atualizei o scrip com o modelo do meu celular e nada! Poderia me ajudar? Poxa, não tô conseguindo o root, já tentei várias vezes rodar o update.zip e sempre dá o mesmo erro. Meu modelo é o GT-S6102B Android 2.3.6 Kernel 2.6.35.7 se.infra @ SEI-44#1
Obrigada!


Não basta atualizar o script, só funciona mexer no script se o problema for apenas a última letra do modelo, que define a região que o modelo é vendido.

No caso do GT-S6102B tem de usar outra versão do arquivo inteiro :

universal_gb_root_v20-zip ( Créditos: StoneBoyTony )

Sobre o erro Status 7, primeiro tenha certeza que habilitou Configurações > Aplicações > Fontes desconhecidas . Faz com o cartão de memória de boa qualidade .

Arquivo(s) anexado(s)


Não respondo dúvidas via email, caixa de entrada ou mensagem privada. Procure o fórum sobre seu aparelho e crie um tópico novo com a dúvida, assim não somente eu mas qualquer membro poderá ajudá-lo.

#12 Prifreitas79

Prifreitas79

    Iniciante

  • Membros
  • Pip
  • 2 posts

Postado 16 Jun 2012 - 21:15

Consegui com esse arquivo que você mandou agora! Valeu!!!!!!!!!!! Muita obrigada mesmo!

#13 deoos

deoos

    Iniciante

  • Membros
  • Pip
  • 3 posts

Postado 30 Jun 2012 - 21:42

depois de quase um dia inteiro, consegui achar a solução pra esse mesmo erro e fazer root no samsung galaxy pocket (gt s5300b)...
thanks aew pra galera que posta as dúvidas e mais ainda pra galera que ajuda a solucionar...

#14 Cacau Benjamim

Cacau Benjamim

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 12 Set 2012 - 12:11

Qual update.zip pega no meu samsung galaxy y young gt-s5360b com android 2.3.6 oficial?

#15 seiken

seiken

    Membro Platinum PluS

  • Membro Prime
  • PipPipPipPipPipPipPip
  • 24.925 posts

Postado 12 Set 2012 - 12:14

O que está neste tópico:

[Galaxy Y - S5360] Root | Fórum PluSGSM
Não respondo dúvidas via email, caixa de entrada ou mensagem privada. Procure o fórum sobre seu aparelho e crie um tópico novo com a dúvida, assim não somente eu mas qualquer membro poderá ajudá-lo.

#16 Cassiano789

Cassiano789

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 25 Set 2012 - 15:10

Fiz todos os passos para executar o root do meu aparelho, mais depois apareceu essa mensagem de erro:

ice") == "GT-B7510" || getprop("ro.product.product") == "GT-B7510"
E:Error in /tmp/sideload/package.zip
(Status 6)
Installation aborted.

Por favor me ajudem a resolver esse problema

#17 seiken

seiken

    Membro Platinum PluS

  • Membro Prime
  • PipPipPipPipPipPipPip
  • 24.925 posts

Postado 09 Out 2012 - 22:00

Cassiano789 faz pelo SuperOneClick v2.3.3 ou acima:

SuperOneClick Download Page

Ou então abre o ZIP, corrige a linha acima do ro.product.product .
Não respondo dúvidas via email, caixa de entrada ou mensagem privada. Procure o fórum sobre seu aparelho e crie um tópico novo com a dúvida, assim não somente eu mas qualquer membro poderá ajudá-lo.

#18 Paulo Reis

Paulo Reis

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 08 Dez 2012 - 11:55

Tentei acrescentar apenas isto no script:

getprop("ro.product.product") == "GT-S5360B"||

e o problema permanece.

Quando eu digito *#*#44336#*#*, aparece:

PDA: S5360BUTLI1
PHONE: S5360BUTLI1
CSC: S5360BZTMLC1

E nas configurações do aparelho aparece isto:

GT-S5360B, Android 2.3.6 Kernel 2.6.35.7 se . infra @ SEI - 27 # 1

Se alguém puder me ajudar, obrigado

:edit

Favor desconsiderar mensagem anterior, pois já consegui fazer o root

#19 jonasb

jonasb

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 26 Dez 2012 - 01:18

piterog no arquivo META-INF/com/google/android/updater-script tem um assert para ter certeza que o modelo é suportado.

É lido o build.prop do aparelho e comparado com a tabela abaixo, para saber se o modelo é ou não suportado:

assert(getprop("ro.product.device") == "GT-S5360" ||
      getprop("ro.product.product") == "GT-S5360"||
      getprop("ro.product.device") == "GT-S5570B" ||
      getprop("ro.build.product") == "GT-S5570B"  ||
      getprop("ro.product.device") == "GT-S5670L" ||
      getprop("ro.product.product") == "GT-S5670L"||
      getprop("ro.product.device") == "GT-S5670B" ||
      getprop("ro.product.product") == "GT-S5670B"||
      getprop("ro.product.device") == "GT-S5830L" ||
      getprop("ro.build.product") == "GT-S5830L"  ||
      getprop("ro.product.device") == "GT-S5830B" ||
      getprop("ro.build.product") == "GT-S5830B"  ||
      getprop("ro.product.device") == "GT-S5830" ||
      getprop("ro.build.product") == "GT-S5830"  ||
      getprop("ro.product.device") == "GT-S5570" ||
      getprop("ro.build.product") == "GT-S5570"  ||
      getprop("ro.product.device") == "GT-S5670" ||
      getprop("ro.product.product") == "GT-S5670"||
      getprop("ro.product.device") == "GT-B7510" ||
      getprop("ro.product.product") == "GT-B7510"
      );

A firmware que usa deve ter alguma letra depois do GT-S5360 , por exemplo GT-S5360B .

Como não está na lista, então o programa sai pensando que não é compatível .

Provavelmente porque o procedimento foi criado antes do lançamento da firmware que usa , ou o autor não sabia que tem GT-S5360 diferente .

Veja para mim em Configurações > Sobre o telefone > Versão do Android ou discando *#*#44336#*#* a versão do da firmware que eu acrescento na lista.

Ou então você mesmo pode fazer, basta descompactar o update.zip, editar acrescentando a versão do seu e então compactar novamente como update.zip, copiando por cima do update.zip que está no cartão de memória .

Ou então pode apagar todas as linhas do código acima , fazendo o updater-script iniciar com essas linhas:

ui_print("Root for Galaxy Young...");
ui_print("Installing su and Superuser.apk...");

A única diferença é que o script não irá testar se o aparelho é ou não suportado e o update.zip irá tentar rootear qualquer aparelho .


brigado ai deu certo aqui, fiz igua ai e deu certo, abri o arquivo em rar e apaguei todos os modelos como vc descreveu ai, com o bloca de notas depois salvei e pronto rapidão o root no galaxy y =GT-S5360

#20 tarsiorlm

tarsiorlm

    Iniciante

  • Membros
  • Pip
  • 1 posts

Postado 21 Fev 2013 - 22:59

Consegui aqui também! Agradeço muito pela ajuda de vcs!